//
// Created by johannes on 17.07.19.
//

#ifndef FLIPPR_DRIVER_TEST_WIRINGPITESTING_H
#define FLIPPR_DRIVER_TEST_WIRINGPITESTING_H

#include <iostream>
#include <random>

#define	INPUT 0
#define	OUTPUT 1

static int wiringPiSetup()
{
  //std::cout << "WiringPiSetup() called" << std::endl;
  return 0;
}

static void pinMode(int pin, int mode)
{
  //std::cout << "Set pin " << pin << " into mode " << mode << std::endl;
}

static int digitalRead(int pin)
{
  //std::cout << "Reading pin " << pin << std::endl
  return rand()%2 == 0 ? 1 : 0;
}

static void digitalWrite(int pin, int value)
{
  //std::cout << "Writing pin " << pin << " with value " << value << std::endl;
}


static int mcp23017Setup(const int pinBase, const int i2cAddress)
{
  //std::cout << "mcp23017Setup called with pinBase " << pinBase << " and i2cAddress " << i2cAddress << std::endl;

  return 0;
}


#endif //FLIPPR_DRIVER_WIRINGPITESTING_H
